% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/pinpoint_operations.R
\name{pinpoint_get_email_channel}
\alias{pinpoint_get_email_channel}
\title{Retrieves information about the status and settings of the email channel
for an application}
\usage{
pinpoint_get_email_channel(ApplicationId)
}
\arguments{
\item{ApplicationId}{[required] The unique identifier for the application. This identifier is displayed
as the \strong{Project ID} on the Amazon Pinpoint console.}
}
\value{
A list with the following syntax:\preformatted{list(
  EmailChannelResponse = list(
    ApplicationId = "string",
    ConfigurationSet = "string",
    CreationDate = "string",
    Enabled = TRUE|FALSE,
    FromAddress = "string",
    HasCredential = TRUE|FALSE,
    Id = "string",
    Identity = "string",
    IsArchived = TRUE|FALSE,
    LastModifiedBy = "string",
    LastModifiedDate = "string",
    MessagesPerSecond = 123,
    Platform = "string",
    RoleArn = "string",
    Version = 123
  )
)
}
}
\description{
Retrieves information about the status and settings of the email channel
for an application.
}
\section{Request syntax}{
\preformatted{svc$get_email_channel(
  ApplicationId = "string"
)
}
}

\keyword{internal}
